#!/usr/bin/bash


myMQTTServerIP="192.168.0.22"

myPath=$(realpath "$0")
myPath=$(dirname "$myPath")

declare -a mySystemList=( "mainserver" "backupserver" "backup2server" )

while :
do
	for mySystem in "${mySystemList[@]}"
	do 

	
	myIP=$(less "${myPath}/${mySystem}_ip.txt")

   	myResult=$(fping -q -4 -c 1 $myIP -t 40)

   	if [ "$?" = "0" ]; then

		myDiskFree=$($myPath/getdiskfree.sh ${mySystem})
		myZFSStatus=$($myPath/getzfsstatus.sh ${mySystem})
		myHDDTemp=$($myPath/gethottesthd.sh ${mySystem})
		myScrubbing=$($myPath/getisscrubbing.sh ${mySystem})


			if [ "$myScrubbing" = "NO" ]; then
   			mosquitto_pub -h ${myMQTTServerIP} -t ${mySystem}/status -m "{\"zfsstatus\":\"$myZFSStatus\",\"hddtempmax\":$myHDDTemp,\"hddspacefree\":$myDiskFree}"
   			
			else
   			myZFSStatus=$(echo "Scrub / Resilver: ${myScrubbing}")
   			mosquitto_pub -h ${myMQTTServerIP} -t ${mySystem}/status -m "{\"zfsstatus\":\"$myZFSStatus\",\"hddtempmax\":$myHDDTemp,\"hddspacefree\":$myDiskFree}"
			fi
	else
   	    mosquitto_pub -h ${myMQTTServerIP} -t ${mySystem}/status -m "{\"zfsstatus\":\"AUS\",\"hddtempmax\":0}"
   	fi
	done
	sleep 60
done